TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

RationalReconstruction ( elt-mdl X ) -> elt-mdl

### Description

<shortdoc> Given a matrix X over a prime finite field K, return true and the matrix over Q obtained from X by rational reconstruction of each of its entries if possible; return false otherwise. </shortdoc>

### Examples

x_F := FiniteField(13); x_E2:=KModule(x_F,2); x_e1 := x_E2.2; RationalReconstruction(x_e1); x_e2 := 3*x_E2.1 - 4*x_E2.2; RationalReconstruction(x_e2);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack